<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\Encryption\Cypher;

/**
 * Interface CypherInterface.
 *
 * Defines an interface for encryption methods.
 */
interface CypherInterface
{
    /**
     * Get the cypher name, ex: AES-256-CBC.
     */
    public function getName(): string;

    /**
     * Get the cypher canonical name, ex: CBC.
     */
    public function getCanonicalName(): string;
}
